Bug 1729029 - [RFE] Ability to choose the launch order for Ansible roles
Summary: [RFE] Ability to choose the launch order for Ansible roles
Keywords:
Status: POST
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Ansible
Version: 6.5.0
Hardware: x86_64
OS: Linux
high
medium
Target Milestone: Unspecified
Assignee: Ondřej Pražák
QA Contact: Lukas Pramuk
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-11 08:49 UTC by Kenny Tordeurs
Modified: 2021-03-05 00:51 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 27273 0 Normal Ready For Testing Ability to choose the launch order for Ansible roles 2021-02-15 19:53:02 UTC
Red Hat Knowledge Base (Solution) 4279011 0 None None None 2019-07-11 08:51:00 UTC

Description Kenny Tordeurs 2019-07-11 08:49:31 UTC
Description of problem:
Currently the Ansible roles are launched in a different order then presented for the host.

Version-Release number of selected component (if applicable):
Satellite 6.5

How reproducible:
100%

Steps to Reproduce:
1. Assign several Ansible roles to a host in a specific order 
2. Run Ansible roles on host
3.

Actual results:
Roles do not get executed in the configured order

Expected results:
Roles to be executed in the expected order

Additional info:

Comment 3 Bryan Kearney 2021-01-25 14:35:10 UTC
Upstream bug assigned to oprazak@redhat.com

Comment 4 Bryan Kearney 2021-01-25 14:35:12 UTC
Upstream bug assigned to oprazak@redhat.com

Comment 5 Bryan Kearney 2021-02-23 09:53:12 UTC
Moving this bug to POST for triage into Satellite since the upstream issue https://projects.theforeman.org/issues/27273 has been resolved.


Note You need to log in before you can comment on or make changes to this bug.